> ## Documentation Index
> Fetch the complete documentation index at: https://pingback.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Adicionar Contato Em Segmentações

> Adiciona contato em uma ou mais segmentações.



## OpenAPI

````yaml POST /segments/add-contact/{email}
openapi: 3.1.0
info:
  title: Pingback Connect API
  description: Public API v2 for managing contacts in Pingback Connect.
  version: 2.0.0
  license:
    name: MIT
servers:
  - url: https://connect.pingback.com/v2
security:
  - apiKeyAuth: []
tags:
  - name: Contacts
    description: >-
      Operations related to contact management, including creation, retrieval,
      update, deletion, and listing of contacts.
  - name: Deals
    description: >-
      Operations related to deals, including creation, update, retrieval,
      deletion, and listing of deals.
  - name: Segments
    description: >-
      Operations related to segmentation lists, including listing segments and
      associating or removing contacts from segments.
  - name: Notes
    description: Operations related to notes, including creation and listing notes.
  - name: Email Verification
    description: >-
      Operations related to email verification, including validating email
      addresses and returning verification results.
paths:
  /segments/add-contact/{email}:
    post:
      tags:
        - Segments
      summary: Add contact to segments
      description: Add a contact to one or more segments.
      parameters:
        - $ref: '#/components/parameters/DeveloperMode'
        - $ref: '#/components/parameters/ApiKey'
        - $ref: '#/components/parameters/EmailPath'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SegmentedListsUpdate'
            examples:
              add_to_lists:
                value:
                  segmentedListsIds:
                    - 6a14938e-04eb-42e3-baf7-b3f78fe78fff
      responses:
        '200':
          description: Contact added to segments
          content:
            application/json:
              examples:
                success:
                  value:
                    message: Contact added to segments
        '400':
          $ref: '#/components/responses/BadRequest'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                contact_not_found:
                  summary: Contact not found
                  value:
                    error: Contact not found
                    requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                    errorCode: CONTACT_NOT_FOUND
                segmentation_list_not_found:
                  summary: Segmentation list not found
                  value:
                    error: Segmentation list not found
                    requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                    errorCode: SEGMENTATION_LIST_NOT_FOUND
        '422':
          description: Invalid JSON body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                invalid_input:
                  summary: Invalid JSON body
                  value:
                    error: Invalid JSON body
                    requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                    errorCode: INVALID_INPUT
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    DeveloperMode:
      name: x-developer-mode
      in: header
      required: false
      schema:
        type: boolean
    ApiKey:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
    EmailPath:
      name: email
      in: path
      required: true
      schema:
        type: string
        format: email
  schemas:
    SegmentedListsUpdate:
      type: object
      required:
        - segmentedListsIds
      properties:
        segmentedListsIds:
          type: array
          minItems: 1
          maxItems: 100
          items:
            type: string
            format: uuid
    Error:
      type: object
      required: []
      properties:
        error:
          type: string
          description: Error description
        requestId:
          type: string
          description: Request ID
        errorCode:
          type: string
          description: Error code
  responses:
    BadRequest:
      description: Request body missing or malformed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            missing_body:
              summary: Missing request body
              value:
                error: Body is necessary.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: MISSING_BODY
    Forbidden:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            forbidden:
              summary: Access denied
              value:
                error: >-
                  User is not authorized to access this resource with an
                  explicit deny in an identity-based policy.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: FORBIDDEN
    InternalServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            internal_error:
              summary: Internal server error
              value:
                error: An unexpected error occurred.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: INTERNAL_SERVER_ERROR
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````